<?php
/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
namespace Svenbluege\Component\Eventgallery\Administrator\View\Emailtemplate;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Svenbluege\Component\Eventgallery\Administrator\Library\Common\View;
defined('_JEXEC') or die;

class HtmlView extends View
{
	protected $state;
	protected $item;
	protected $form;

    /**
     * Display the view
     * @param null $tpl
     * @return bool|mixed
     */
	public function display($tpl = null)
	{
		$this->state	= $this->get('State');
		$this->item		= $this->get('Item');
		$this->form		= $this->get('Form');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			throw new \Exception(implode("\n", $errors));
		}

		$this->addToolbar();
		return parent::display($tpl);
	}

	private function addToolbar() {
        Factory::getApplication()->input->set('hidemainmenu', true);
		$isNew		= ($this->item->id < 1);
		$text = $isNew ? Text::_( 'COM_EVENTGALLERY_NEW' ) : Text::_( 'COM_EVENTGALLERY_EDIT' );
		ToolbarHelper::title(   $text . ' ' . Text::_( 'COM_EVENTGALLERY_EMAILTEMPLATE' ));
		$bar = Toolbar::getInstance('toolbar');

		ToolbarHelper::apply('emailtemplate.apply');
		ToolbarHelper::save('emailtemplate.save');
		if ($isNew)  {
			ToolbarHelper::cancel( 'emailtemplate.cancel' );
		} else {
			ToolbarHelper::cancel( 'emailtemplate.cancel', Text::_( 'JTOOLBAR_CLOSE' ) );
			$bar->appendButton('Link', 'mail', 'COM_EVENTGALLERY_BUTTON_SENDTESTMAIL_DESC',   Route::_('index.php?option=com_eventgallery&task=emailtemplate.sendtestmail&id='.$this->item->id), false);
            $bar->appendButton('Link', 'file', 'COM_EVENTGALLERY_BUTTON_RESETMAILTEMPLATE_DESC',   Route::_('index.php?option=com_eventgallery&view=emailtemplate&loaddefault=true&id='.$this->item->id), false);

		}
	}

}
