<?php
/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
namespace Svenbluege\Component\Eventgallery\Administrator\View\Flickraccounts;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\Helpers\Sidebar;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Svenbluege\Component\Eventgallery\Administrator\Helper\EventgalleryHelper;
use Svenbluege\Component\Eventgallery\Administrator\Library\Common\View;
defined('_JEXEC') or die;

class HtmlView extends View
{

    protected $items;
    protected $pagination;
    protected $state;

    /**
     * Display the view
     * @param null $tpl
     * @return bool|mixed
     */
    public function display($tpl = null)
    {
        $this->state = $this->get('State');
        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new \Exception(implode("\n", $errors));
        }
        $this->addToolbar();
        return parent::display($tpl);
    }

    protected function addToolbar() {
        Factory::getApplication()->input->set('hidemainmenu', true);
        $toolbar = Toolbar::getInstance('toolbar');
        $toolbar->appendButton('Link', 'th-large', 'COM_EVENTGALLERY_SUBMENU_EVENTGALLERY',   Route::_('index.php?option=com_cpanel&view=cpanel&dashboard=com_eventgallery.overview'), false);

        ToolbarHelper::title(   Text::_( 'COM_EVENTGALLERY_FLICKRACCOUNTS' ), 'generic.png' );
        ToolbarHelper::addNew('flickraccount.add');
        ToolbarHelper::editList('flickraccount.edit');
        ToolbarHelper::deleteList('Remove all selected Events?', 'flickraccounts.delete', 'Remove');

    }

}
