<?php
/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
namespace Svenbluege\Component\Eventgallery\Administrator\View\Watermark;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Svenbluege\Component\Eventgallery\Administrator\Library\Common\View;
defined('_JEXEC') or die;

class HtmlView extends View
{
	protected $state;

	protected $item;

	protected $form;

    /**
     * Display the view
     * @param null $tpl
     * @return bool|mixed
     */
	public function display($tpl = null)
	{
		$this->state	= $this->get('State');
		$this->item		= $this->get('Item');
		$this->form		= $this->get('Form');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			throw new \Exception(implode("\n", $errors));
		}

		$this->addToolbar();
		return parent::display($tpl);
	}

	private function addToolbar() {
        Factory::getApplication()->input->set('hidemainmenu', true);

	    $isNew		= ($this->item->id < 1);
		$text = $isNew ? Text::_( 'COM_EVENTGALLERY_NEW' ) : Text::_( 'COM_EVENTGALLERY_EDIT' );
		ToolbarHelper::title(   $text . ' ' . Text::_( 'COM_EVENTGALLERY_WATERMARK' ) );


		ToolbarHelper::apply('watermark.apply');
		ToolbarHelper::save('watermark.save');
		if ($isNew)  {
			ToolbarHelper::cancel( 'watermark.cancel' );
		} else {
			ToolbarHelper::cancel( 'watermark.cancel', Text::_( 'JTOOLBAR_CLOSE' ) );
		}


	}

}
